
QGIS Application - Feature request #15589
Priority: Normal

Assignee:

Category: Attribute table

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 23513

Description

A duplicate record button should be added to the attribute table and in the feature form when using embedded forms.

The button should be active if one or more records are selected. The attributes of the selected records are all copied over to the new

records except for primary key columns or columns with unique constraints, where they should be fetched from the (provider) constraints

(see Nyalls proposal about unique constraints).

The duplicate function should also be added to the context menu of a row in the attribute table and to the preview column of an embedded

form.

See screenshots with more explanations.

Related issues:

Related to QGIS Application - Feature request # 16827: Duplicate record funct... Closed 2017-07-10

Associated revisions

Revision 1de71c12 - 2016-09-21 08:43 AM - Matthias Kuhn 

Chained filters for relation reference search widget

Fix #15589

Revision 24f34603 - 2016-09-21 08:43 AM - Matthias Kuhn 

Chained filters for relation reference search widget

Fix #15589

History

#1 - 2016-09-20 11:43 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"1de71c12d6758f46697827f181ef06c549df6130".

#2 - 2016-09-21 02:22 AM - Matthias Kuhn

- Status changed from Closed to Open
Closed accidentally

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-23 10:46 AM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|1de71c12d6758f46697827f181ef06c549df6130.

#5 - 2017-06-29 03:57 PM - Andreas Neumann

- Status changed from Closed to Open

- Description updated

Why was this closed again by "Anonymous"? As far as I know, this is not yet implemented?

Setting Status again to "Open".

#6 - 2017-06-29 04:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

Andreas Neumann wrote:

Why was this closed again by "Anonymous"? As far as I know, this is not yet implemented?

Setting Status again to "Open".

so this?

https://issues.qgis.org/projects/qgis/repository/revisions/1de71c12d6758f46697827f181ef06c549df6130

https://issues.qgis.org/projects/qgis/repository/revisions/24f34603a10db5a64f4a0afe11558e46869f998e

#7 - 2017-07-06 05:31 PM - Andreas Neumann

This was an accident/mistake by Matthias. The feature request issue "duplicate records" here has nothing to do with the "chained filters for relation

reference widget" which was fixed.

#8 - 2017-07-06 07:48 PM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2017-07-10 11:09 AM - Andreas Neumann

Additional requirement:
1. duplication of a single record for geometry layers:

If the concerned layer is a geometry layer and only one feature is selected, the user should have the ability to digitize a new geometry. If the duplicate

record functionality is triggered, the form should be hidden and the "Add Feature" function should be enabled, allowing the user to digigitize a new

geometry. Once, the geometry editing is finished, the attribute form of the new feature should be displayed, with all the values copied from the selected

original feature.

2. The "duplicate feature" action should also be added to the attribute form menu.

#10 - 2017-07-10 11:10 AM - Andreas Neumann

It needs to be discussed if only a single record can be duplicated, or if multiple records can be duplicated at once (makes only sense for non-geometry

layers).

#11 - 2017-07-11 01:16 PM - Jürgen Fischer

- Related to Feature request #16827: Duplicate record function with related features added

#12 - 2018-04-18 12:08 PM - Harrissou Santanna

- Status changed from Open to Feedback

@Andreas, is this fixed with https://github.com/qgis/QGIS/pull/5925 or https://github.com/qgis/QGIS/pull/5922?

#13 - 2018-04-18 03:38 PM - Andreas Neumann

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

is now available in QGIS 3.x
